# XMLDiff\DOM::diff

(PECL xmldiff >= 0.8.0)

XMLDiff\DOM::diff — Diff two DOMDocument objects

### Description

public XMLDiff\DOM::diff ( DOMDocument `$from` , DOMDocument `$to` ) : DOMDocument

Diff two DOMDocument instances and produce the new one containing the diff information.

### Parameters

`from`

  Source DOMDocument object.

`to`

  Target DOMDocument object.

### Return Values

DOMDocument with the diff information or NULL.